Bug 287251 - Suspend works, but logging out of X session fails afterwards. G965 intel.
Suspend works, but logging out of X session fails afterwards. G965 intel.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-12 00:46 EDT by lexual
Modified: 2009-01-09 02:15 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1.1-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:15:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (567 bytes, text/plain)
2007-09-12 18:18 EDT, lexual
no flags Details
X log without xorg.conf (86.40 KB, text/plain)
2007-09-12 18:19 EDT, lexual
no flags Details
X log with xorg.conf (20.35 KB, text/plain)
2007-09-12 18:19 EDT, lexual
no flags Details

  None (edit)
Description lexual 2007-09-12 00:46:11 EDT
Apologies if this is the incorrect component to file against.

My machine has intel mobo: DG965OT, which has onboard video X3000.
This is working in F7 (up to date) with 3d support even.
Hibernate seems to work fine on this system.
Suspend also works until I try to log out of X session (doesn't matter if it's 
gnome or kde)




Version-Release number of selected component (if applicable):
xorg-x11-drv-i810.i386                   2.0.0-4.fc7
kernel.i686                              2.6.22.4-65.fc7

How reproducible:
Every time.

Steps to Reproduce:
1. Try to suspend.
2. Bring system back from suspend. This appears to work fine.
3. Try to log out of desktop session. Screen goes blank, even if trying to 
switch to console.
  
Expected results:
Log out and show gdm.

Additional info:
Please let me know which additional log info, etc, will help fix this bug.
Comment 1 Matěj Cepl 2007-09-12 09:01:09 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Is there any action between the step 2) and 3)? I mean, do you do something
after resuming the computer, or does the log out follows immediately after resume?

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 lexual 2007-09-12 18:18:06 EDT
Created attachment 194101 [details]
xorg.conf
Comment 3 lexual 2007-09-12 18:19:21 EDT
Created attachment 194111 [details]
X log without xorg.conf
Comment 4 lexual 2007-09-12 18:19:47 EDT
Created attachment 194121 [details]
X log with xorg.conf
Comment 5 lexual 2007-09-12 18:20:48 EDT
This behaviour happens without any action between steps 2 and 3.
Without an xorg.conf, X runs at a much lower resolution. Also, when running 
without an xorg.conf, the display doesn't come back up when coming back from 
suspension at all.

Note that in both cases system is running fine, just without a display (ie I 
can go to console and manually run reboot command, I just can't see anything on 
screen).

Please find attachments as requested.
Comment 6 lexual 2007-11-15 19:20:02 EST
This is fixed in F8.
Comment 7 lexual 2008-01-31 05:47:49 EST
Spoke too soon.
Still experiencing with F8
Comment 8 lexual 2008-01-31 05:55:12 EST
This only happens with gdm as display manager.
It is 100% when using gdm.

Bug doesn't occur when using kdm.
Comment 9 Matěj Cepl 2008-01-31 09:53:56 EST
Chmm, then this is probably gdm bug, I guess.
Comment 10 Bug Zapper 2008-11-26 02:47:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:15:00 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.